Package org.apache.storm.generated

## Class LSSupervisorId

- java.lang.Object
- - org.apache.storm.generated.LSSupervisorId

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Comparable<LSSupervisorId>`, `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`, `org.apache.storm.thrift.TSerializable`

      @Generated("Autogenerated by Thrift Compiler (0.19.0)")
      public class LSSupervisorId
      extends Object
      implements org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>, Serializable, Cloneable, Comparable<LSSupervisorId>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LSSupervisorId._Fields` | The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<LSSupervisorId._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LSSupervisorId()` |
    `LSSupervisorId​(String supervisor_id)` |
    `LSSupervisorId​(LSSupervisorId other)` | Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `int` | `compareTo​(LSSupervisorId other)` |
    `LSSupervisorId` | `deepCopy()` |
    `boolean` | `equals​(Object that)` |
    `boolean` | `equals​(LSSupervisorId that)` |
    `LSSupervisorId._Fields` | `fieldForId​(int fieldId)` |
    `String` | `get_supervisor_id()` |
    `Object` | `getFieldValue​(LSSupervisorId._Fields field)` |
    `int` | `hashCode()` |
    `boolean` | `is_set_supervisor_id()` | Returns true if field supervisor_id is set (has been assigned a value) and false otherwise
    `boolean` | `isSet​(LSSupervisorId._Fields field)` | Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read​(org.apache.storm.thrift.protocol.TProtocol iprot)` |
    `void` | `set_supervisor_id​(String supervisor_id)` |
    `void` | `set_supervisor_id_isSet​(boolean value)` |
    `void` | `setFieldValue​(LSSupervisorId._Fields field, Object value)` |
    `String` | `toString()` |
    `void` | `unset_supervisor_id()` |
    `void` | `validate()` |
    `void` | `write​(org.apache.storm.thrift.protocol.TProtocol oprot)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<LSSupervisorId._Fields,​org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LSSupervisorId

          public LSSupervisorId()

    - #### LSSupervisorId

          public LSSupervisorId​(String supervisor_id)

    - #### LSSupervisorId

          public LSSupervisorId​(LSSupervisorId other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LSSupervisorId deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### get_supervisor_id

          public String get_supervisor_id()

    - #### set_supervisor_id

          public void set_supervisor_id​(String supervisor_id)

    - #### unset_supervisor_id

          public void unset_supervisor_id()

    - #### is_set_supervisor_id

          public boolean is_set_supervisor_id()

      Returns true if field supervisor_id is set (has been assigned a value) and false otherwise

    - #### set_supervisor_id_isSet

          public void set_supervisor_id_isSet​(boolean value)

    - #### setFieldValue

          public void setFieldValue​(LSSupervisorId._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### getFieldValue

          public Object getFieldValue​(LSSupervisorId._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### isSet

          public boolean isSet​(LSSupervisorId._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### equals

          public boolean equals​(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals​(LSSupervisorId that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo​(LSSupervisorId other)

      Specified by:
        `compareTo` in interface `Comparable<LSSupervisorId>`

    - #### fieldForId

          public LSSupervisorId._Fields fieldForId​(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<LSSupervisorId,​LSSupervisorId._Fields>`

    - #### read

          public void read​(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write​(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`